//: userconsole/ViewTesting.java

package userconsole;
import testing.*;
import connection.*;
import java.io.*;
import java.io.IOException;
import java.util.Date;
import java.sql.SQLException;


/**
 * Main Console application for Testing translating English words
 * @author Sokunova Mariya
 */
public class ViewTesting {

    public static void main(String[] args) {
        
        EnglishTesting myTest = new EnglishTesting();

        DBconnect data = new DBconnect();
        try{
            data.setConnection("user", "passwd", "englishwords");
        }
        catch(SQLException ex){
            DBconnect.printSQLException(ex, "main");
            System.exit(1);
        }
        catch(Exception ex){
            System.err.println("Couldn't connect into DB"+ex);
            System.exit(0);

        }


         //  open up standard input
        BufferedReader br = new BufferedReader(new InputStreamReader(System.in));

        
        //Testing
        for (int i=1;i<5;i++){
            System.out.println("Вопрос № "+i);
            //get word for testing
            String testWord = myTest.getEngWord(data);
            System.out.println(testWord);
            //Reading user answer
            System.out.println("Перевод :");
            String answer;
            try {
                answer = br.readLine();
            }
            catch (IOException ioe) {
                answer="";
                System.out.println("IO error trying to read your name!");
                System.exit(1);
             }

            //Return answer for the checking
            
            myTest.calcSkill(testWord, answer,i,data);

        }
        //Show Results
        String resultString = new String();
        resultString = "Дата: "+new Date()+"\n"+ myTest.getResults();
        System.out.println(resultString);
        try {
            data.closeConnection();
        } catch (SQLException ex) {
            DBconnect.printSQLException(ex, "main");
        }


    }

}
